

/* Formidable Stylings */

:root{
    --form-small-field-font-size: 11px;
    --form-label-font-size: 14px;
    --form-subtitle-font-size: 19px;
}

.frm_forms h3{
    font-size: var(--form-subtitle-font-size);
    font-weight: 700;
    margin-top:30px;
}

button, input, optgroup, select, textarea{
    font-size: var(--form-label-font-size);
    font-weight: 300;
}

input:not([type="range"]):not([type="radio"]):not([id^="s-"]),
textarea,
select {
    height:auto;
    color:#000;
    border: none !important;
    border-bottom:2px solid #ccc !important;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
    padding: 11px 12px;
    background-color: transparent;
    -webkit-transition: all 250ms ease-in-out;
    -moz-transition: all 250ms ease-in-out;
    -o-transition: all 250ms ease-in-out;
    transition: all 250ms ease-in-out;
}

input:not([type="range"]):not([type="radio"]):not([id^="s-"]):focus,
textarea:focus,
select:focus {
    border: none;
    border-bottom:2px solid #ffe000 !important;
    box-shadow:unset !important;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
    -webkit-transition: all 250ms ease-in-out;
    -moz-transition: all 250ms ease-in-out;
    -o-transition: all 250ms ease-in-out;
    transition: all 250ms ease-in-out;
}

:focus-visible {
    outline: none;
}

body.frontend button.frm_button_submit,
.frm_style_formidable-style.with_frm_style .frm_submit button {
    background-color: #ffe000 !important;
    font-weight:400;
    font-size:22px;
    padding-left:50px;
    padding-right:50px;
    border:2px solid #ffe000;
    border-radius:unset;
    color:#000;
    font-size:16px;
    font-weight:700;
    padding: 16px 30px 16px 30px;
    box-shadow:unset;
    -webkit-transition: all 250ms ease-in-out;
    -moz-transition: all 250ms ease-in-out;
    -o-transition: all 250ms ease-in-out;
    transition: all 250ms ease-in-out;

}

body.frontend button.frm_button_submit:hover,
body.frontend button.frm_button_submit:focus,
.frm_style_formidable-style.with_frm_style .frm_submit button:hover,
.frm_style_formidable-style.with_frm_style .frm_submit button:focus {
    background-color: transparent !important;
    border:2px solid #ffe000;
    box-shadow:unset;
}

/* Radio button styling.

@-webkit-keyframes ripple {
    0% {
        box-shadow: 0 0 0 1px rgba(0, 0, 0, 0);
    }
    50% {
        box-shadow: 0 0 0 15px rgba(0, 0, 0, 0.1);
    }
    100% {
        box-shadow: 0 0 0 15px rgba(0, 0, 0, 0);
    }
}

@-moz-keyframes ripple {
    0% {
        box-shadow: 0 0 0 1px rgba(0, 0, 0, 0);
    }
    50% {
        box-shadow: 0 0 0 15px rgba(0, 0, 0, 0.1);
    }
    100% {
        box-shadow: 0 0 0 15px rgba(0, 0, 0, 0);
    }
}

@-o-keyframes ripple {
    0% {
        box-shadow: 0 0 0 1px rgba(0, 0, 0, 0);
    }
    50% {
        box-shadow: 0 0 0 15px rgba(0, 0, 0, 0.1);
    }
    100% {
        box-shadow: 0 0 0 15px rgba(0, 0, 0, 0);
    }
}

@keyframes ripple {
    0% {
        box-shadow: 0 0 0 1px rgba(0, 0, 0, 0);
    }
    50% {
        box-shadow: 0 0 0 15px rgba(0, 0, 0, 0.1);
    }
    100% {
        box-shadow: 0 0 0 15px rgba(0, 0, 0, 0);
    }
}

.frm_scale:not(:last-of-type),
.frm_radio:not(:last-of-type) {
    margin-left: 0;
}

.frm_scale label,
.frm_radio label {
    position: absolute;
    padding: 0;
    margin-bottom: 0;
    cursor: pointer;
    vertical-align: bottom;
    display: -webkit-flex;
    display: flex;
    -webkit-align-items: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    justify-content: center;
    border-radius: 30px;
}

.frm_scale input[type=radio],
.frm_radio input[type=radio] {
    position: absolute !important;
    margin-left: -9999px;
    visibility: hidden;
}

.frm_scale input[type=radio] + span,
.frm_radio input[type=radio] + span {
    display: inline-block;
    position: relative;
    cursor: pointer;
    outline: none;
    user-select: none;
    width: 35px;
    height: 25px;
    vertical-align: middle;
}

.frm_radio input[type=radio] + span{
    display: none;
}

.frm_scale input[type=radio] + span::before,
.frm_scale input[type=radio] + span::after,
.frm_radio input[type=radio] + span::before,
.frm_radio input[type=radio] + span::after {
    position: absolute;
    content: "";
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
    -webkit-transition-property: transform, border-color;
    -moz-transition-property: transform, border-color;
    -o-transition-property: transform, border-color;
    transition-property: transform, border-color;
}

.frm_scale input[type=radio]:checked + span::before,
.frm_radio input[type=radio]:checked + span::before {
    border-color: #A86BAA;
    animation: ripple 0.2s linear forwards;
}

.frm_scale input[type=radio] + span::before,
.frm_radio input[type=radio] + span::before {
    left: 0;
    top: 2px;
    width: 20px;
    height: 20px;
    border: 2px solid rgba(0, 0, 0, 0.54);
}

.frm_scale input[type=radio] + span::after,
.frm_radio input[type=radio] + span::after {
    top: 7px;
    left: 5px;
    width: 10px;
    height: 10px;
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    -ms-transform: scale(0);
    -o-transform: scale(0);
    transform: scale(0);
    background-color: #A86BAA;
}

.frm_scale input[type=radio]:checked + span::after,
.frm_radio input[type=radio]:checked + span::after {
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    transform: scale(1);
}

*/


/* Checkbox styling. 

.frm_checkbox:not(:last-of-type) {
    margin-left: 0;
    margin-bottom: 15px !important;
}

.frm_checkbox label {
    height: 25px;
    position: relative;
    padding: 0 0 0 35px;
    margin-bottom: 0;
    cursor: pointer;
    vertical-align: bottom;
    display: -webkit-flex;
    display: flex;
    -webkit-align-items: center;
    align-items: center;
}

.frm_checkbox input[type=checkbox] {
    position: absolute !important;
    margin-left: -9999px;
    visibility: hidden;
}

.frm_checkbox label input[type=checkbox],
.frm_radio label input[type=radio] {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.frm_checkbox span {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #EEEEEE;
}

.frm_checkbox label:hover input[type=checkbox] ~ span {
    background-color: #CCCCCC;
}

.frm_checkbox label input[type=checkbox]:checked ~ span {
    background-color: #A86BAA;
}

.frm_checkbox span::after {
    content: "";
    position: absolute;
    display: none;
}

.frm_checkbox label input[type=checkbox]:checked ~ span::after {
    display: block;
}

.frm_checkbox label span::after {
    left: 9px;
    top: 5px;
    width: 8px;
    height: 12px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
}

*/

/* Custom Formidable styling. */

.frm_style_formidable-style.with_frm_style .form-field input:not([type="file"]):focus {
    border-color:unset;
    box-shadow: unset;
}

.with_frm_style .frm_radio {
    display: inline-block;
    padding-right:20px;
}

.frm_form_field {
    margin: 10px 0px 5px;
    clear: both;
}

.frm_inside_container{
    margin-top: 2px;
    margin-bottom: 20px;
}

.frm_opt_container {
    margin: 0;
}

.frm_error {
    color: #fff;
    font-weight: 400;
    position: relative;
    display: inline-block;
    margin-top: 10px;
    margin-bottom: 0px;
    transform: translateX(13px);
}

.frm_top_container .frm_primary_label, .frm_hidden_container .frm_primary_label, .frm_pos_top {
    display: block;
    float: none;
    width: auto;
}

.frm_inside_container .frm_primary_label{
    transition: 250ms ease-in-out;
}

.frm_inside_container.frm_label_float_top .frm_primary_label {
    transform: translate(0, 0px);
    cursor: pointer;
}

.frm_inside_container:not(.frm_label_float_top) .frm_primary_label{
    transform: translate(12px, 6px);
    cursor:text;
}

.frm_primary_label {
    color:#ccc;
    text-align: left;
    padding: 0 0 3px 0;
    margin: 0;
    width: auto;
    display: block;
}

.frm_form_field input:not([type="radio"]):not(.ed_button),
.frm_form_field textarea,
.frm_form_field select {
    width: 100%;
    background:transparent !important;
    box-shadow:unset;
}

.frm_dropzone.frm_single_upload {
    max-width: 100%;
}

.frm_dropzone .dz-message {
    border-color: #858796;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
}

.frm_style_formidable-style .frm_icon_font,
.frm_dropzone .frm_upload_icon::before, .frm_dropzone .dz-remove {
    color: #333333;
}

.frm-star-group {
    position: relative;
}

.frm-star-group .star-rating, .frm-star-group input + label {
    margin-right: 0 !important;
    width: 30px !important;
}

.frm_slider {
    background-color: #DDDDDD !important;
}

input:checked + .frm_switch .frm_slider {
    background-color: #A86BAA !important;
}

.frm_scale {
    margin-right: 15px;
    text-align: center;
    float: left;
}

.frm_time_wrap {
    white-space: nowrap;
}

select.frm_time_select {
    white-space: pre;
    display: inline;
}

.auto_width #loginform input, .auto_width input, input.auto_width, select.auto_width, textarea.auto_width {
    width: auto;
}

.ui-datepicker th {
    background-color: #005C90;
}

.frm_text_label_for_image{
    display: none;
}

.frm_image_options .frm_image_option_container,
.frm_form_field.frm_four_col .frm_radio div,
.frm_form_field.frm_four_col .frm_checkbox div{
    border: 2px solid #f6f8fa;
    background-color: #f6f8fa;
    border-radius: 30px;
    min-height: 60px;
    height: 100%;
    width: 100%;
    padding: 10px 15px;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    transition: 250ms ease-in-out;
}

.frm_form_field.frm_four_col .frm_opt_container {
    grid-template-columns: repeat(4, calc(25% - 2.5% * 0.75));
}

.frm_form_field.frm_four_col .frm_radio label,
.frm_form_field.frm_four_col .frm_checkbox label{
    position: relative;
    height: 100%;
}

.frm_form_field.frm_four_col .frm_checkbox{
    margin-bottom: 0px !important;
}

.frm_form_field.frm_four_col .frm_radio,
.frm_form_field.frm_four_col .frm_checkbox{
    position: relative;
}

.frm_form_field.frm_four_col .frm_checkbox label{
    height: 100%;
    padding: 0;
}

.frm_form_field.frm_four_col .frm_checkbox label input[type=checkbox] ~ span{
    display: none;
}

.frm_blank_field input:not([type="range"]):not([type="radio"]):not([id^="s-"]),
.frm_blank_field.frm_image_options .frm_image_option_container input:not([type="range"]):not([id^="s-"]),
.frm_blank_field.frm_form_field.frm_four_col .frm_radio{
    background-color: transparent;
    border-bottom: 1px solid red;
}

.frm_form_field.frm_four_col .frm_radio,
.frm_form_field.frm_four_col .frm_checkbox{
    font-size: var(--form-subtitle-font-size);
    font-weight: 700;
}

.frm_form_field.frm_four_col .frm_radio span,
.frm_form_field.frm_four_col .frm_checkbox span{
    font-size: var(--form-small-field-font-size);
    font-weight: 300;
    position: relative;
    height: auto;
    width: auto;
    background-color: transparent;
}

.frm_image_options .frm_image_option_container .frm_empty_url, 
.frm_image_option_container .frm_image_placeholder_icon{
    max-height: 100%;
    border-radius: 30px!important;
    height: auto;
}

.frm_image_option_container.frm_label_with_image img{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    padding: 10px 15px;
    object-fit: contain;
    object-position: center;
}

#frm_field_20_container .frm_checkbox label,
#frm_field_34_container .frm_checkbox label,
.frm_image_options .frm_checkbox label{
    height: auto;
}
.frm_form_field .frm_checkbox.frm_image_option{
    width: calc(25% - 20px)!important;
}

.frm_image_options .frm_opt_container{
    display: flex;
}

input[type=checkbox]:checked + span + .frm_image_option_container,
.frm_form_field.frm_four_col .frm_radio input[type=radio]:checked + span + div,
.frm_form_field.frm_four_col .frm_checkbox input[type=checkbox]:checked + span + div{
    border: 2px solid var(--ta-rot);
}


.frm_image_options .frm_image_option_container:hover,
.frm_form_field.frm_four_col .frm_radio div:hover,
.frm_form_field.frm_four_col .frm_checkbox div:hover{
    border: 2px solid #d4d4d4;
}

.frm_image_options .frm_image_option_container:hover,
input[type=checkbox]:checked + span + .frm_image_option_container:hover,
.frm_form_field.frm_four_col .frm_radio div:hover,
.frm_form_field.frm_four_col .frm_checkbox div:hover{
    opacity: 0.7;
}

.frm_image_option span{
    display: none;
}

.frmsvg{
    height: 60px;
    margin-bottom: 14px;
    position: absolute;
}

.frm_image_option_container .frm_image_placeholder_icon {
    position: absolute;
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Datepicker styles */
.ui-datepicker .ui-widget-header, 
.ui-datepicker .ui-datepicker-header, 
.ui-datepicker td.ui-datepicker-current-day{
    background: var(--ta-rot)!important;

}

.ui-datepicker th, 
.ui-datepicker td .ui-state-hover{
    background: #b30038 !important;
}

.ui-datepicker td.ui-datepicker-today{
    background-color: #ff00505e!important;
}

.ui-datepicker td .ui-state-default{
    font-weight: 700!important;
}

.ui-state-active, .ui-widget-content .ui-state-active{
    color: #fff!important;
}

.ui-datepicker select:focus{
    border-radius: 0px;
}


/* Form Success Message */

.frm_forms > .frm_message {
    padding: 35px 15px;
    border-radius: unset;
    margin-top: 50px;
    text-align: center;
    font-size: 17px;
    background: #ffe000;
    border: unset;
    box-shadow: unset;
    color: #000 !important;
}

.with_frm_style .frm_message p {
    color:#000;
}



/* End Datepicker styles */

@media only screen and (max-width: 768px){
    .frm_form_field.frm_four_col .frm_opt_container{
        grid-template-columns: repeat(2, calc(50% - 2.5% * 0.75));
        row-gap: 15px;
    }

    .frm_form_field .frm_checkbox.frm_image_option, .frm_form_field .frm_checkbox.frm_image_option + .frm_checkbox, .frm_form_field .frm_radio.frm_image_option, .frm_form_field .frm_radio.frm_image_option + .frm_radio{
        margin: 7.5px;
    }

    /* business abo flex */
    .frm_form_field .frm_checkbox.frm_image_option{
        width: calc(50% - 15px)!important;
    }
}

@media only screen and (max-width: 420px){
    .frm_form_field.frm_four_col .frm_opt_container{
        grid-template-columns: repeat(1, calc(100% - 2.5% * 0.75));
    }
}


@media only screen and (max-width: 575px){

    .frm_forms h3 {
      font-size: 18px;
    }

}
